import apiRequest from '@/network/http/apiRequest'

/**
 * 获取列表
 * @param data
 * @returns
 */
export function getEntByPage(data: any) {
  return apiRequest({
    url: '/ent/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取管理员
 * @param ocId
 * @returns
 */
export function getEntAdmin(ocId: number) {
  return apiRequest({
    url: `/ent/getAdmin/${ocId}`,
    method: 'GET',
  })
}

/**
 * 新增管理员
 * @param data
 * @returns
 */
export function createEntAdmin(data: any) {
  return apiRequest({
    url: '/ent/addAdmin',
    method: 'POST',
    data,
  })
}

/**
 * 更新管理员
 * @param data
 * @returns
 */
export function updateEntAdmin(data: any) {
  return apiRequest({
    url: '/ent/updateAdmin',
    method: 'PUT',
    data,
  })
}

/**
 * 重置管理员密码
 * @returns
 * @param ocId
 * @param adminId
 */
export function resetAdminPwd(ocId: number, adminId: number) {
  return apiRequest({
    url: `/ent/resetAdminPwd/${ocId}/${adminId}`,
    method: 'PUT',
  })
}

/**
 * 根据ID获取企业信息
 * @returns
 * @param ocId
 */
export function getEntById(ocId: number) {
  return apiRequest({
    url: `/ent/${ocId}`,
    method: 'GET',
  })
}

/**
 * 添加企业
 * @param data
 * @returns
 */
export function createEnt(data: any) {
  return apiRequest({
    url: '/ent/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新企业
 * @param data
 * @returns
 */
export function updateEnt(data: any) {
  return apiRequest({
    url: '/ent/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除企业
 * @returns
 * @param ocId
 */
export function deleteEntById(ocId: number) {
  return apiRequest({
    url: `/ent/${ocId}`,
    method: 'DELETE',
  })
}

/**
 * 更新企业状态
 * @returns
 * @param ocId
 * @param status
 */
export function updateEntStatus(ocId: number, status: number) {
  return apiRequest({
    url: `/ent/updateStatus/${ocId}/${status}`,
    method: 'PUT',
  })
}
